List all the deployment processes
GET /api
Also reachable at /api, /api.
Lists all the deployment processes in the supplied Octopus Deploy Space, sorted by Id.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A list of DeploymentProcess IDs, to limit the matching of DeploymentProcesses to those with a particular ID. Example: [“deploymentprocess-Projects-1”, “deploymentprocess-Projects-2”].skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Deployment Processes
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectVersioninteger
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{}
],
"Version": 0
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get a Release Snapshot Template
GET /api
Also reachable at /api, /api.
Path Parameters
deploymentProcessIdstring (required)
The ID of the Deployment Process to use.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
channelstring
The channel ID to get the channel from.releaseIdstring
The ID of the release to get variables from.
Response
200 — The requested Release Template.
DeploymentProcessIdstringGitResourcesarray of objectActionNamestring
Minimum length 1.DefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitHubConnectionIdstringGitResourceSelectedLastReleaseobjectIsResolvablebooleanNamestringRepositoryUristring
Minimum length 1.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastReleaseVersionstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NextVersionIncrementstringPackagesarray of objectActionNamestringFeedIdstringFeedNamestringFixedVersionstringIsResolvableboolean
Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.NuGetFeedIdstringNuGetFeedNamestringNuGetPackageIdstringPackageIdstringPackageReferenceNamestringProjectNamestringStepNamestringVersionSelectedLastReleasestring
VersioningPackageReferenceNamestringVersioningPackageStepNamestring
Example Response
{
"DeploymentProcessId": "string",
"GitResources": [
{
"ActionName": "string",
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitHubConnectionId": "string",
"GitResourceSelectedLastRelease": {
"GitCommit": "string",
"GitRef": "string"
},
"IsResolvable": true,
"Name": "string",
"RepositoryUri": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastReleaseVersion": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NextVersionIncrement": "string",
"Packages": [
{
"ActionName": "string",
"FeedId": "string",
"FeedName": "string",
"FixedVersion": "string",
"IsResolvable": true,
"NuGetFeedId": "string",
"NuGetFeedName": "string",
"NuGetPackageId": "string",
"PackageId": "string",
"PackageReferenceName": "string",
"ProjectName": "string",
"StepName": "string",
"VersionSelectedLastRelease": "string"
}
],
"VersioningPackageReferenceName": "string",
"VersioningPackageStepName": "string"
}Get a specific snapshotted version of a deployment process
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the snapshotted deployment process, for example “deploymentprocess-Projects-1-s-4-ABCDE”.spaceIdstring (required)
Response
200 — Get a specific snapshotted version of a deployment process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get the deployment process for a project
GET /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Response
200 — Contains the deployment process for a project
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Modify a deployment process
PUT /api
Also reachable at /api, /api.
Modifies a deployment process. Only allowed for deployment processes owned by a project (cannot be used to change the deployment process owned by a release).
Path Parameters
projectIdstring (required)spaceIdstring (required)
Request Body
ChangeDescriptionstringLastSnapshotIdstringProjectIdstring (required)SpaceIdstring (required)Stepsarray of object (required)Actionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring (required)
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger (required)
Response
200 — Confirmation that the Deployment Process has been modified, containing the new Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Request
{
"ChangeDescription": "string",
"LastSnapshotId": "string",
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get the resolved deployment process for a project
GET /api
Also reachable at /api.
This request returns the deployment process with all process template usages resolved out to the deployment steps that are executed. If a process template usage cannot be resolved (e.g. if the process template is no longer shared with the space), the usage will be excluded from the response.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Response
200 — The deployment process for a project
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get all of the information necessary for creating or editing a release using this deployment process
GET /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)
The ID of the Project to use.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
channelstring
The channel ID to get the channel from.releaseIdstring
The ID of the release to get variables from.
Response
200 — The requested Release Template
DeploymentProcessIdstringGitResourcesarray of objectActionNamestring
Minimum length 1.DefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitHubConnectionIdstringGitResourceSelectedLastReleaseobjectIsResolvablebooleanNamestringRepositoryUristring
Minimum length 1.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastReleaseVersionstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NextVersionIncrementstringPackagesarray of objectActionNamestringFeedIdstringFeedNamestringFixedVersionstringIsResolvableboolean
Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.NuGetFeedIdstringNuGetFeedNamestringNuGetPackageIdstringPackageIdstringPackageReferenceNamestringProjectNamestringStepNamestringVersionSelectedLastReleasestring
VersioningPackageReferenceNamestringVersioningPackageStepNamestring
Example Response
{
"DeploymentProcessId": "string",
"GitResources": [
{
"ActionName": "string",
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitHubConnectionId": "string",
"GitResourceSelectedLastRelease": {
"GitCommit": "string",
"GitRef": "string"
},
"IsResolvable": true,
"Name": "string",
"RepositoryUri": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastReleaseVersion": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NextVersionIncrement": "string",
"Packages": [
{
"ActionName": "string",
"FeedId": "string",
"FeedName": "string",
"FixedVersion": "string",
"IsResolvable": true,
"NuGetFeedId": "string",
"NuGetFeedName": "string",
"NuGetPackageId": "string",
"PackageId": "string",
"PackageReferenceName": "string",
"ProjectName": "string",
"StepName": "string",
"VersionSelectedLastRelease": "string"
}
],
"VersioningPackageReferenceName": "string",
"VersioningPackageStepName": "string"
}Validate the deployment process for common non-blocking issues, such as missing deployment targets for tags used within the process steps
POST /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Response
200 — Contains the result of validation, such as warnings for the deployment process
DetailsobjectHasWarningsbooleanTagsWithoutTargetsByStepIdobject
Example Response
{
"Details": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HasWarnings": true,
"TagsWithoutTargetsByStepId": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
}
}Get the deployment process for a version-controlled project
GET /api
Also reachable at /api, /api.
Path Parameters
gitRefstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Contains the deployment process for a project
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Modify a deployment process
PUT /api
Also reachable at /api, /api.
Modifies a deployment process. Only allowed for deployment processes owned by a project (cannot be used to change the deployment process owned by a release).
Path Parameters
gitRefstring (required)projectIdstring (required)spaceIdstring (required)
Request Body
ChangeDescriptionstringGitRefstring (required)LastSnapshotIdstringProjectIdstring (required)SpaceIdstring (required)Stepsarray of object (required)Actionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring (required)
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger (required)
Response
200 — Confirmation that the Deployment Process has been modified, containing the new Process
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Request
{
"ChangeDescription": "string",
"GitRef": "string",
"LastSnapshotId": "string",
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get the resolved deployment process for a version-controlled project
GET /api
Also reachable at /api.
This request returns the deployment process with all process template usages resolved out to the deployment steps that are executed. If a process template usage cannot be resolved (e.g. if the process template is no longer shared with the space), the usage will be excluded from the response.
Path Parameters
gitRefstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — The deployment process for a project
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Get all of the information necessary for creating or editing a release using this deployment process
GET /api
Also reachable at /api, /api.
Path Parameters
gitRefstring (required)
GitRef for the project variables.projectIdstring (required)
The ID of the Project to use.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
channelstring
The channel ID to get the channel from.releaseIdstring
The ID of the release to get variables from.
Response
200 — The requested Release Template
DeploymentProcessIdstringGitResourcesarray of objectActionNamestring
Minimum length 1.DefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitHubConnectionIdstringGitResourceSelectedLastReleaseobjectIsResolvablebooleanNamestringRepositoryUristring
Minimum length 1.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastReleaseVersionstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NextVersionIncrementstringPackagesarray of objectActionNamestringFeedIdstringFeedNamestringFixedVersionstringIsResolvableboolean
Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.NuGetFeedIdstringNuGetFeedNamestringNuGetPackageIdstringPackageIdstringPackageReferenceNamestringProjectNamestringStepNamestringVersionSelectedLastReleasestring
VersioningPackageReferenceNamestringVersioningPackageStepNamestring
Example Response
{
"DeploymentProcessId": "string",
"GitResources": [
{
"ActionName": "string",
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitHubConnectionId": "string",
"GitResourceSelectedLastRelease": {
"GitCommit": "string",
"GitRef": "string"
},
"IsResolvable": true,
"Name": "string",
"RepositoryUri": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastReleaseVersion": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NextVersionIncrement": "string",
"Packages": [
{
"ActionName": "string",
"FeedId": "string",
"FeedName": "string",
"FixedVersion": "string",
"IsResolvable": true,
"NuGetFeedId": "string",
"NuGetFeedName": "string",
"NuGetPackageId": "string",
"PackageId": "string",
"PackageReferenceName": "string",
"ProjectName": "string",
"StepName": "string",
"VersionSelectedLastRelease": "string"
}
],
"VersioningPackageReferenceName": "string",
"VersioningPackageStepName": "string"
}Validate the deployment process for common non-blocking issues, such as missing deployment targets for tags used within the process steps
POST /api
Also reachable at /api, /api.
Path Parameters
gitRefstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Contains the result of validation, such as warnings for the deployment process
DetailsobjectHasWarningsbooleanTagsWithoutTargetsByStepIdobject
Example Response
{
"Details": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HasWarnings": true,
"TagsWithoutTargetsByStepId": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
}
}Modify a deployment process
PUT /api
Also reachable at /api, /api.
Deprecated. This endpoint may be removed in a future release.
Modifies a deployment process. Only allowed for deployment processes owned by a project (cannot be used to change the deployment process owned by a release).
Path Parameters
idstring (required)
The ID of the deployment process to update. Exampledeploymentprocess-Projects-1.spaceIdstring (required)
Request Body
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of object (required)Actionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring (required)
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger (required)
Response
200 — Success
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSnapshotIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectIdstringSpaceIdstringStepsarray of objectActionsarray of objectConditionenum
Allowed values:Success,Failure,Always,Variable.IdstringNamestring
Minimum length 1.PackageRequirementenum
Allowed values:LetOctopusDecide,BeforePackageAcquisition,AfterPackageAcquisition.PropertiesobjectSlugstringStartTriggerenum
Allowed values:StartAfterPrevious,StartWithPrevious.Typestring
Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
Versioninteger
Example Request
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSnapshotId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectId": "string",
"SpaceId": "string",
"Steps": [
{
"Actions": [
{}
],
"Condition": "Success",
"Id": "string",
"Name": "string",
"PackageRequirement": "LetOctopusDecide",
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"Slug": "string",
"StartTrigger": "StartAfterPrevious",
"Type": "string"
}
],
"Version": 0
}